<?php

namespace Drupal\standwithukraine\Controller;

use Drupal\Core\Access\AccessResult;
use Drupal\Core\Access\AccessResultInterface;
use Drupal\Core\Controller\ControllerBase;
use Drupal\service\ConfigFactoryTrait;
use Drupal\standwithukraine\Service\StandWithUkraineFaviconTrait;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Controller for standwithukraine pages.
 */
class StandWithUkraineController extends ControllerBase {

  use ConfigFactoryTrait;
  use StandWithUkraineFaviconTrait;

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container): static {
    return parent::create($container)
      ->addConfigFactory($container)
      ->addStandWithUkraineFavicon();
  }

  /**
   * Checks access for the favicon settings page.
   */
  public function access(): AccessResultInterface {
    $config = $this->config('system.theme');

    foreach (['default', 'admin'] as $type) {
      if (!empty($name = $config->get($type))) {
        $favicon = $this->standWithUkraineFavicon()->build($name);

        if (isset($favicon[$name])) {
          return AccessResult::allowed();
        }
      }
    }

    return AccessResult::neutral();
  }

}
