<?php

namespace Drupal\standwithukraine\Service;

use Drupal\service\ServiceTrait;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Provides a trait for the StandWithUkraine Favicon service.
 */
trait StandWithUkraineFaviconTrait {

  use ServiceTrait;

  /**
   * The service name.
   */
  protected const serviceStandWithUkraineFavicon = 'standwithukraine.favicon';

  /**
   * Sets the StandWithUkraine Favicon.
   *
   * @param \Symfony\Component\DependencyInjection\ContainerInterface|null $container
   *   (optional) The service container. Defaults to NULL.
   */
  protected function addStandWithUkraineFavicon(ContainerInterface $container = NULL): static {
    return $this->setKnownService($container);
  }

  /**
   * Gets the StandWithUkraine Favicon.
   */
  protected function standWithUkraineFavicon(): StandWithUkraineFaviconInterface {
    return $this->getKnownService();
  }

}
