<?php

namespace Drupal\standwithukraine;

use Drupal\block\BlockInterface;
use Drupal\standwithukraine\Plugin\Block\StandWithUkraineBlockInterface;

/**
 * Provides a BC layer for modules providing old configurations.
 *
 * @internal
 *   This class is only meant to fix outdated standwithukraine configuration and
 *   its methods should not be invoked directly. It will be removed once all the
 *   deprecated methods have been removed.
 */
class StandWithUkraineConfigUpdater {

  /**
   * Inherit any block option from module settings.
   *
   * @param \Drupal\block\BlockInterface $block
   *   The Block to update.
   *
   * @return bool
   *   Whether the block was updated.
   */
  public function block(BlockInterface $block): bool {
    if ($block->getPluginId() === 'standwithukraine_block') {
      $settings = $block->get('settings');

      $settings['inherit'] = [
        'single' => StandWithUkraineBlockInterface::INHERIT,
        'url' => $settings['inherit'],
      ];

      $block->set('settings', $settings)->save();

      return TRUE;
    }

    return FALSE;
  }

}
